Subject: [BEHAVE] Multicast IPv4-embedded Address Format

From: <[email-masked]>
Date: Wed, 5 Jan 2011 13:49:21 +0100

Dear all,

   Various solutions (e.g., [I-D.venaas-behave-v4v6mc-framework],
   [I-D.xu-softwire-mesh-multicast] or [I-D.qin-softwire-dslite-
   multicast]) have been proposed to allow access to IPv4 multicast
   content from hosts attached to IPv6-enabled domains.  Even if these
   solutions have distinct applicability scopes (translation vs.
   encapsulation) and target various use cases, they all make use of
   specific IPv6 multicast addresses to embed an IPv4 multicast address.
   Particularly, an IPv4-embedded IPv6 multicast address is used as a
   destination IPv6 address of multicast flows received from the IPv4-
   enabled domain and injected by the IPv4-IPv6 Interconnection Function
   into the IPv6-enabled domain.  It is also used to build the IPv6
   multicast state (*, G6) or (S6,G6) corresponding to their (*, G4) or
   (S4,G4) IPv4 counterparts by the IPv4-IPv6 Interconnection Function.

   Together with Yiu and Jacni, we have edited this I-D to define IPv4-
   embedded IPv6 multicast address format which aims to update RFC4192.

   Comments, suggestions and contributions are more than welcome.

   Cheers,

   Med

*********************************
This message and any attachments (the "message") are confidential and intended solely for the addressees. 
Any unauthorised use or dissemination is prohibited.
Messages are susceptible to alteration. 
France Telecom Group shall not be liable for the message if altered, changed or falsified.
If you are not the intended addressee of this message, please cancel it immediately and inform the sender.
********************************

---

From: Xing Li <[email-masked]>
Date: Sun, 09 Jan 2011 15:36:28 +0800

? 2011-1-5 20:49, [email-masked] ??:
>    embedded IPv6 multicast address formatwhich aims to update RFC4192.

The 
"http://www.rfc-editor.org/internet-drafts/draft-xli-behave-ivi-07.txt" 
(currently in RFC queue) proposed a multicast address format for SSM 
when stateless translation is used. It is in Section "5.1. IVI 
Multicast" . We have deployed the prototype and it has been tested and 
used between  CERNET (IPv4) and CERNET2 (IPv6).  We can add more details 
in 4.5.  SSM of multicast-address-format draft.

Regards,

xing, congxiao

> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave

---

From: <[email-masked]>
Date: Mon, 10 Jan 2011 17:03:45 +0100

Dear Xing,

Thank you for your interest and for the pointer to the multicast section in ivi.

I will contact you offline for the preparation of the next version of the I-D.

Cheers,
Med

________________________________
De : Xing Li [mailto:[email-masked]]
Envoyé : dimanche 9 janvier 2011 08:36
À : BOUCADAIR Mohamed OLNC/NAD/TIP
Cc : Behave WG; [email-masked]; Xing Li; congxiao
Objet : Re: [BEHAVE] Multicast IPv4-embedded Address Format

于 2011-1-5 20:49, [email-masked]<mailto:[email-masked]> 写道:
   Dear all,

The "http://www.rfc-editor.org/internet-drafts/draft-xli-behave-ivi-07.txt"<http://www.rfc-editor.org/internet-drafts/draft-xli-behave-ivi-07.txt> (currently in RFC queue) proposed a multicast address format for SSM when stateless translation is used. It is in Section "5.1. IVI Multicast" . We have deployed the prototype and it has been tested and used between  CERNET (IPv4) and CERNET2 (IPv6).  We can add more details in 4.5.  SSM of multicast-address-format draft.

Regards,

xing, congxiao

   Cheers,

   Med

_______________________________________________
Behave mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/behave

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 10 Jan 2011 15:20:08 -0800 (PST)

>>   multicast state (*, G6) or (S6,G6) corresponding to their           (*, G4) 

>>or
The "http://www.rfc-editor.org/internet-drafts/draft-xli-behave-ivi-07.txt"; 
(currently in RFC queue) proposed a multicast address format for SSM     when 
stateless translation is used. It is in Section "5.1. IVI     Multicast" . We 
have deployed the prototype and it has been tested     and used between  CERNET 
(IPv4) and CERNET2 (IPv6).  We can add more     details in 4.5.  SSM of 
multicast-address-format draft.

Hi Xing,
 
  I believe multicast should be out of scope for documents like yours. 
Multicast support is a separate issue which probably needs to be covered in 
separate drafts. 

It is not late, I think Section 5.1 can be removed before it becomes an RFC.

Regards,

Behcet

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 24 Jan 2011 10:01:37 -0800 (PST)

> The stateless translation document is 
>https://datatracker.ietf.org/doc/draft-ietf-behave-v6v4-xlate/?include_text=1,    
>  
>
>which clearly mentions the applicability and limitations of     IPv4/IPv6 
> translation for the multicast packets.

Hi Xing,

  I did not know this. Now I checked, you are right.

However the stateless translation document does not really state much about 
multicast.
I still believe that any multicast related text in the current unicast NAT64 
documents should be removed, including some sporadic text in 
draft-ietf-behave-v6v4-xlate-23.

I am not sure if they have been reviewed.

Regards,

Behcet

---

From: "Dan Wing" <[email-masked]>
Date: Tue, 25 Jan 2011 17:30:43 -0800

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Behcet Sarikaya
> Sent: Monday, January 24, 2011 10:02 AM
> To: Xing Li
> Cc: congxiao; [email-masked]
> Subject: Re: [BEHAVE] Multicast IPv4-embedded Address Format
> 
> 
> 

draft-ietf-behave-v6v4-xlate has been in the RFC Editor's queue
since October, 2010, because it had completed BEHAVE working group 
last call, IETF last call, and IESG review.  Dates are here:

https://datatracker.ietf.org/doc/draft-ietf-behave-v6v4-xlate/history/

-d

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 26 Jan 2011 07:48:08 -0800 (PST)

Hi Dan,

I realize that it is probably late to do something on this document.

But I hope you agree with me on what I said below :-)

--b

---

From: "Dan Wing" <[email-masked]>
Date: Wed, 26 Jan 2011 08:39:53 -0800

> From: Behcet Sarikaya [mailto:[email-masked]]
> Sent: Wednesday, January 26, 2011 7:48 AM
> To: Dan Wing; Xing Li

We can correct / augment the information with follow-on documents,
including -- if we find it necessary -- doing an "Update:" of 
draft-ietf-behave-v6v4-xlate.

-d

> > > However the stateless translation document does not really state
> much
> > > about
> > > multicast.
> > > I still believe that any multicast  related text in the current
> unicast
> > > NAT64